com.rscja.deviceapi.interfaces

## Interface IReader

- All Known Subinterfaces:
    IBluetoothReader, IRFIDWithUHFUSB, IUhfBle, IUhfReader
  All Known Implementing Classes:
    BluetoothReader, BluetoothReader_qcom, EmptyUhfBle, RFIDWithUHFBLE, RFIDWithUHFBLE_qcom, RFIDWithUHFBLEN51_qcom, RFIDWithUHFBLEN52_qcom, RFIDWithUHFUSB, RFIDWithUHFUSB_qcom, UHFTemperatureTag, UHFTemperatureTag.RFIDWithUHFBLEN51, UHFTemperatureTag.RFIDWithUHFBLEN52, UHFTemperatureTagsBLEAPI

      public interface IReader

  R2、R5、R6 蓝牙和USB读写器 有些客户只需要我们R6的背夹，不需要uhf模块，所以将R6背夹接口独立出来
  Author:
    zhoupin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `UPDATE_STM32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blinkOfLed(int duration, int interval, int count)` led 闪烁
    `boolean` | `closeLed()` 关闭led
    `int` | `getBarcodeTypeInSSIID()`
    `int` | `getBattery()` 获取电池电量 Acquire battery capacity
    `byte[]` | `getParameter(byte[] ssiParameter)`
    `java.lang.String` | `getSTM32Version()` 获取stm32版本号(Acquire stm32 version )
    `boolean` | `openLed()` 打开led
    `java.lang.String` | `scanBarcode()` 扫描条码 Scan barcode
    `byte[]` | `scanBarcodeToBytes()` 扫描条码 Scan barcode
    `boolean` | `setBarcodeTypeInSSIID(boolean isContainBarcodeType)`
    `boolean` | `setBeep(boolean isOpen)` 设置蜂鸣器开关 Setup buzzer ON/OFF
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)` 设置扫描按键回调 Setup SCAN button call back
    `boolean` | `setParameter(byte[] ssiParameter, byte[] value)`
    `BarcodeResult` | `startScanBarcode()`
    `boolean` | `triggerBeep(int durationTime)` 触发蜂鸣器

- - ### Field Detail

    - #### UPDATE_STM32

          static final char UPDATE_STM32

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSTM32Version

          java.lang.String getSTM32Version()

      获取stm32版本号(Acquire stm32 version )
      Returns:
        返回stm32版本 (return stm32 version)

    - #### getBattery

          int getBattery()

      获取电池电量
      Acquire battery capacity
      Returns:
        返回电量，-1表示获取电量失败(return battery capacity, -1 means acquire failure.)

    - #### setBeep

          boolean setBeep(boolean isOpen)

      设置蜂鸣器开关
      Setup buzzer ON/OFF
      Parameters:
        `isOpen` - true:打开蜂鸣器(ON)， false:关闭蜂鸣器(OFF)
      Returns:
        true:成功(success) false:失败(failure)

    - #### triggerBeep

          boolean triggerBeep(int durationTime)

      触发蜂鸣器
      Parameters:
        `durationTime` - 持续时间, 范围1-255，单位为100ms
      Returns:
        true 成功,false 失败

    - #### scanBarcode

          java.lang.String scanBarcode()

      扫描条码
      Scan barcode
      Returns:
        返回条码字符串数据(return barcode string data)

    - #### scanBarcodeToBytes

          byte[] scanBarcodeToBytes()

      扫描条码
      Scan barcode
      Returns:
        返回条码的原始byte数据(return initial byte data of barcode)

    - #### setBarcodeTypeInSSIID

          boolean setBarcodeTypeInSSIID(boolean isContainBarcodeType)

    - #### getBarcodeTypeInSSIID

          int getBarcodeTypeInSSIID()

    - #### startScanBarcode

          BarcodeResult startScanBarcode()

    - #### setParameter

          boolean setParameter(byte[] ssiParameter,
                               byte[] value)

    - #### getParameter

          byte[] getParameter(byte[] ssiParameter)

    - #### setKeyEventCallback

          void setKeyEventCallback(KeyEventCallback KeyEventCallback)

      设置扫描按键回调
      Setup SCAN button call back
      Parameters:
        `KeyEventCallback` - 按键回调接口(Keyboard call back)

    - #### openLed

          boolean openLed()

      打开led
      Returns:
        true:success false:success

    - #### closeLed

          boolean closeLed()

      关闭led
      Returns:
        true:success false:success

    - #### blinkOfLed

          boolean blinkOfLed(int duration,
                             int interval,
                             int count)

      led 闪烁
      Parameters:
        `duration` - 持续发光时间
        `interval` - 间隔时间
        `count` - 闪烁次数
      Returns:
        true:success false:success